Bug 1414480 - Missing id attribute on Cloud->Instance Edit form, Child VM MultiBoxSelect
Summary: Missing id attribute on Cloud->Instance Edit form, Child VM MultiBoxSelect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Mike Shriver
URL:
Whiteboard: cloud:ui:widget
Depends On:
Blocks: 1463265
TreeView+ depends on / blocked
 
Reported: 2017-01-18 15:49 UTC by Mike Shriver
Modified: 2017-06-20 14:47 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1463265 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:32:54 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
mshriver: automate_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Mike Shriver 2017-01-18 15:49:42 UTC
Description of problem:

The MultiBoxSelect widget for child VM selection on the Compute->Cloud->Instance Edit form, implemented as an HTML table, does not have an id attribute for the table.

This prevents CFME QE automation from uniquely identifying the table on the page. Other forms using the MultiBoxSelect have an 'id' field for the table, allowing for element identification via XPATH.

Version-Release number of selected component (if applicable):
5.7.0.17
5.6.3.3

Actual results:
<table> element for 'Child VM Selection' section of Cloud Instance Edit form does not have any 'id' attribute.

Expected results:
An 'id' attribute assigned to the <table> element that contains the Child VM Selection widget


Additional info:
This does not impact functionality of the widget, only CFME QE's ability to automate filling of the widget

Comment 3 CFME Bot 2017-03-09 11:42:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/64df1305b1e3862aabf2ec5d911ae21dcd0dd9fd

commit 64df1305b1e3862aabf2ec5d911ae21dcd0dd9fd
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Mar 9 11:15:23 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Mar 9 11:17:46 2017 +0100

    Add an id for the child VM selection table to ease test automation
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414480

 app/views/vm_common/_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Mike Shriver 2017-04-19 13:09:48 UTC
Tested in CFME 5.8.0.10, the kids_chosen and choices_chosen ID's have been added to the 'Child VM Selection' elements on the Instance Edit form.

This will allow CFME QE to model and test these elements.

Many thanks to dev!

Comment 6 errata-xmlrpc 2017-05-31 14:32:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.